Subject: Re: [PATCH net-next v9 2/4] net: phy: realtek: add RTL8224 pair order support

From: Simon Horman <[email-masked]>
Date: Sat, 21 Mar 2026 09:20:14 +0000

On Fri, Mar 20, 2026 at 07:17:56PM +0100, Damien Dejean wrote:
> 
> > Le 20 mars 2026 à 09:21, Simon Horman <[email-masked]> a écrit :
> > 
> > Checkpatch warns that ENOSYS only means 'invalid syscall nr'.
> > 
> > Looking over the implementation of of_property_read_u32() it seems to me
> > that -EINVAL is sufficient to detect that a property is not present. Which
> > may be appropriate here.
> 
> I added the check on -ENOSYS because in v8 Jakub commented [1] on the fact
> that if the kernel is built with CONFIG_OF=n, of_property_read_u32() will
> return ENOSYS. If ENOSYS is not handled there, then the call will return an
> error while it shouldn’t.

Ahh, I see. I missed that in my analysis.
Sorry about that.

> 
> Damien
> 
> [1] https://lkml.org/lkml/2026/3/17/2464

...